#include <stdio.h>
#include <stdlib.h>

int main(){
    char c1, c2, pom1;
    long int a1, a2, i=0, pom2;
    scanf("%c%c", &c1, &c2);
    scanf("%ld %ld", &a1, &a2);
    char rezultat[a1+a2];
    if(abs(a1-a2)>1)
        printf("nemoguce");
    else{
        if(a2>=a1){
            pom2=a1;
            a1=a2;
            a2=pom2;
            pom1=c1;
            c1=c2;
            c2=pom1;
        }
        while(a1>0 || a2>0){
            if(i%2==0){
                rezultat[i]=c1;
                a1--;
                i++;
            }
            else{
                rezultat[i]=c2;
                a2--;
                i++;
            }
        }
    rezultat[i]='\0';
    printf("%s",rezultat);
    }
    return 0;
}